<!DOCTYPE html>
<html lang="ko" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout/defaultLayout}">
<head>
    <script th:inline="javascript">
        /*<![CDATA[*/

        function orderDrink(menuId) {
            $.post('/order', {menuId: menuId})
                .done(function (data) {
                    alert(data.message);
                    window.location.replace('/');
                })
                .fail(function (data) {
                    console.log(data);
                    alert("주문 요청 중 에러가 발생했습니다.");
                });
        }

        /*]]>*/
    </script>
</head>
<body>
<div layout:fragment="content">
    <div class="card mb-3" th:each="menu : ${menus}" th:id="${menu.id}">
        <div class="row no-gutters">
            <div class="col-md-4" style="padding-top: 10px;">
                <img class="card-img" th:src="@{|images/menu_${menu.id}.png|}"/>
            </div>
            <div class="col-md-8">
                <div class="card-body">
                    <h5 class="card-title" th:text="${menu.name}"></h5>
                    <p class="card-text" th:text="${menu.englishName}"></p>
                    <p class="card-text" th:text="|${#numbers.formatInteger(menu.price, 0, 'COMMA')} 원|"></p>
                    <button class="btn btn-primary" th:onclick="'orderDrink(\'' + ${menu.id} + '\')'">주문</button>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
